/*固定*/
.header{
    height:80px;
    font-size: 20px;
    padding:30px 20px;
    background-color : crimson;
}

.footer{
    height:30px;
    background-color: dimgray ;
}

.cart-button{
    margin-top:50px;
    margin-left:1000px;
    background-color:greenyellow;
    width:250px;
    height:50px;
    font-weight:bold;
}

.buy-button{
    margin-top:50px;
    margin-left:200px;
    background-color:greenyellow;
    width:250px;
    height:50px;
    font-weight:bold;
}

.delete-button{
    margin-top:50px;
    background-color:greenyellow;
    width:250px;
    height:50px;
    font-weight:bold;
}

.buyconfirm-button{
    margin-top:50px;
    margin-left:1000px;
    background-color:greenyellow;
    width:250px;
    height:50px;
    font-weight:bold;
}

.buyresult-button{
    margin-top:50px;
    margin-left:1000px;
    background-color:greenyellow;
    width:250px;
    height:50px;
    font-weight:bold;
}

.top-button{
    margin-top:50px;
    background-color:greenyellow;
    width:250px;
    height:50px;
    font-weight:bold;
}

.user-button{
    margin-top:50px;
    margin-left:200px;
    background-color:greenyellow;
    width:250px;
    height:50px;
    font-weight:bold;
}


/*error*/
.error-container h1{
    text-align:center;
    margin :50px;
    color:red;
}

.error-container button{
    margin-top:50px;
    margin-left:1000px;
    background-color:greenyellow;
    width:250px;
    height:50px;
    font-weight:bold;
}

/*login*/
img.topaicon{
    
}

#headerlist{
   padding:0 40px;
   font-weight:bold;
   color:white;
}

.header-right{
    float:right;
}

.login-container{
    border: solid 1px black ;
    margin:200px 600px;
    text-align: center;
    background-color:#FADBDA;
}

.login-container ul{
    list-style:none; 
    padding-right:40px;
}

.login-container h1{
    font-weight: bold;
    margin-bottom: 100px;
    border-bottom:solid 1px gray;
    padding: 0;
    color:white;
}

.login-container li{
    margin-bottom: 70px;
    color:black;
}

#loginbotton{
    width:140px;
    height:80px;
    font-weight:bold;
}

.logintitle{
    background-color: crimson;
}


/*top*/
.top-container h1{
    text-align:center;
}

.top-container form{
    background-color:moccasin;
    margin:0 500px;
}

.top-itemsearch{
    margin-top:100px;
}

.search input{
    margin-top:60px;
    margin-left:210px;
    background-color:greenyellow;
    width:100px;
    height:50px;
    font-weight:bold;
}

.top-itemlist{
    height:400px;
    margin-top: 50px;
}

.top-itemlist h2{
    text-align:center;
}

.top-item{
    float:left;
    width:25%;
}


/*商品詳細*/
.itemdetail-container{
    height:600px;
}

.itemdetail-container h1{
    text-align:center;
    margin:50px 0;
}

.itemdetail-item{
    margin-left:25%;
}

.itemdetail-itemdetail{
    float:left;
    width:25%;
}

.itemdetail-itemdetail span{
    font-size:30px;
}


/*商品検索結果*/
.itemsearch-container{
    text-align:center;
}

.itemsearch-container h1{
    font-size: 30px;
}

.itemsearch-container input{
    width:400px;
    margin:50px 0;
}

.itemsearch-itemsearch img{
    float:left;
}

.itemsearch-itemlist{
    height:400px;
    margin-top: 50px;
}

.itemsearch-item{
    float:left;
    width:25%;
}

.page{
    text-align: center;
    font-size:20px
}

/*カート*/
.cart-container{
    text-align:center;
    margin:50px 0;
}

/*購入*/
.buy-container h1{
    text-align:center;
    margin: 50px 0;
}

.buy-container table{
    margin:auto;
    text-align:center;
}

.buy-container td{
    height:150px;
}


/*購入確認*/
.buyconfirm-container h1{
    text-align:center;
    margin: 50px 0;
}

.buyconfirm-container table{
    margin:auto;
    text-align:center;
}

.buyconfirm-container td{
    height:150px;
}


/*購入完了*/
.buyresult-container {
    text-align:center;
}

.buyresult-container p{
    font-size:30px;
    margin-top:30px;
}

.buyresult-container h1{
    margin-top:50px;
}


/*購入履歴*/
.buyhistory-container h1{
    text-align:center;
    margin :100px 0;
}

.buyhistory-container table {
    margin:auto;
    text-align:center;
}

.buyhistory-container td{
    height:80px;
}


/*購入履歴詳細= 購入完了*/


/*ユーザーページ*/
.userlist-container h1{
    text-align:center;
    margin: 50px;
}

.userlist-container ul{
    border: solid 1px gray;
    padding:40px;
    margin:0 400px;
}

.userlist-container li{
    list-style: none;
    font-weight:bold;
}

.userlist-container li input{
    margin-left:100px;
    margin-bottom:30px;
}

.usersearch{
    margin :50px 0 50px 720px;
    width:100px;
    font-weight:bold;
    background-color: chartreuse;
}

.userlist-container table{
    text-align: center;
    margin:auto;
}

.blue{
    background-color:skyblue;
    margin:10px;
    color:white;
}

.green{
    background-color:greenyellow;
    margin:10px;
    color:white;
}

.red{
    background-color:palevioletred;
    margin:10px;
    color:white;
}


/*ユーザー登録*/
.userregister-container h1{
    text-align:center;
    margin: 50px;
}

.userregister-container table{
    margin:auto;
    font-weight:bold;

}

.userregister-container p{
    float:right;
}


/*ユーザー登録確認 = ユーザー登録*/


/*ユーザー登録完了*/
.login-display{
    margin :50px 0 50px 690px;
    width:150px;
    font-weight:bold;
    background-color: chartreuse;
}

/*ユーザー詳細 = 入力詳細確認*/


/*ユーザー更新*/
.return{
    font-weight:bold;
    background-color: chartreuse;
    display:block;
    width:50px;
    text-align:center;
}

/*ユーザー削除*/
.delete-container{
    text-align:center;
    margin: 50px;
}

.delete-container p{
    margin: 60px;
}

.delete-container form{
    display:inline;
    margin: 25px;
}

.cancel-button{
    width:100px;
    font-weight:bold;
    background-color: chartreuse;
    
}

.OK-button{
    width:100px;
    font-weight:bold;
    background-color: chartreuse;
}

/*マスタべース商品リスト*/
.itemlist-container h1{
    text-align:center;
    margin: 50px;
}

.itemlist-container button {
    margin-top:50px;
    margin-left:1000px;
    background-color:greenyellow;
    width:250px;
    height:50px;
    font-weight:bold;
}

.itemlist-container table{
    text-align: center;
    margin:auto;
    margin-top:100px;
}

/*マスタべース商品登録*/
.itemregister-container h1{
    text-align:center;
    margin: 50px;
}

.itemregister-container table{
    margin:auto;
    font-weight:bold;
}

/*マスタべース商品詳細 = 商品詳細*/


/*マスタべース商品更新　= ユーザー更新*/


/*マスタべース商品削除　= ユーザー削除*/

